<?php

namespace App\Http\Controllers;

use App\DataTables\SegmentServiceDataTable;
use App\Models\SegmentService;
use Illuminate\Http\Request;

class SegmentServiceController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(SegmentServiceDataTable $dataTable)
    {
        return $dataTable->render('segment-services.index');
    }


    /**
     * Display the specified resource.
     *
     * @param  \App\Models\SegmentService  $segmentService
     * @return \Illuminate\Http\Response
     */
    public function show(SegmentService $segmentService)
    {
        //
    }

    public function print(SegmentService $segmentService)
    {
        return view('segment-services.print_car', ['car' => $segmentService, 'booking'=>$segmentService->segment->booking]);
    }


}
